Bug 988514 - [Doc] [RFE] Add guest orchestration (Cloud Formations-like, via Heat) to Horizon
[Doc] [RFE] Add guest orchestration (Cloud Formations-like, via Heat) to Horizon
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Administration_User_Guide (Show other bugs)
4.0
Unspecified Unspecified
medium Severity medium
: ---
: 4.0
Assigned To: Summer Long
ecs-bugs
https://blueprints.launchpad.net/hori...
: Documentation, FutureFeature, Triaged
Depends On:
Blocks: 894779 1011085
  Show dependency treegraph
 
Reported: 2013-07-25 14:23 EDT by Stephen Gordon
Modified: 2015-02-23 16:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-05 22:37:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2013-07-25 14:23:58 EDT
Cloned for documentation impact, refer to Bug # 894779 for implementation details.
Comment 2 Summer Long 2013-08-05 20:23:34 EDT
Hi Angus, 
The following is from upstream: https://blueprints.launchpad.net/horizon/+spec/heat-ui

It should be possible to perform the following Heat operations through Horizon:
- Select a file or url of a template to launch as a stack
- Set stack launch parameters and launch a stack
- List stacks for the currently selected Project
- List resources and events for a stack
- Update an existing stack with modified template/parameters
- Delete a running stack

Will anything be added to this list that you know of, or subtracted?

Also, what's the difference between 'guest' and admin orchestration? Or does guest mean something different here?
Comment 3 Steve Baker 2013-08-06 00:23:08 EDT
From the above list only the following has not been implemented:
- Update an existing stack with modified template/parameters

In addition to these features, a topology diagram of a running stack has also been implemented.

I'm not sure what 'guest' means in this context either.
Comment 5 Summer Long 2013-10-29 03:05:24 EDT
Steve, sorry that this includes a question about the CLI. Since the Admin Guide is new, both dashboard and CLI need to be added.
Comment 7 Summer Long 2014-01-09 23:01:17 EST
Added upstream bug https://bugs.launchpad.net/openstack-manuals/+bug/1267697 for backport.
Comment 8 Summer Long 2014-01-09 23:36:47 EST
Backport = https://review.openstack.org/65860
Comment 9 Steve Baker 2015-02-23 16:34:40 EST
This looks fine (closing old requests for info)

Note You need to log in before you can comment on or make changes to this bug.